From 72a0600129fba948fc7eb4ddb187404a6e0a2db3 Mon Sep 17 00:00:00 2001
From: 北念 <lzr265946@alibaba-inc.com>
Date: 星期二, 17 十月 2023 14:15:14 +0800
Subject: [PATCH] fix bug in whisper inference
---
funasr/runtime/run_server.sh | 21 ++++++++++++++++++---
1 files changed, 18 insertions(+), 3 deletions(-)
diff --git a/funasr/runtime/run_server.sh b/funasr/runtime/run_server.sh
index 67471e6..6869fd9 100644
--- a/funasr/runtime/run_server.sh
+++ b/funasr/runtime/run_server.sh
@@ -1,25 +1,40 @@
-#!/usr/bin/env bash
download_model_dir="/workspace/models"
model_dir="damo/speech_paraformer-large_asr_nat-zh-cn-16k-common-vocab8404-onnx"
vad_dir="damo/speech_fsmn_vad_zh-cn-16k-common-onnx"
punc_dir="damo/punc_ct-transformer_zh-cn-common-vocab272727-onnx"
+itn_dir="thuduj12/fst_itn_zh"
decoder_thread_num=32
io_thread_num=8
port=10095
certfile="../../../ssl_key/server.crt"
keyfile="../../../ssl_key/server.key"
-. ../../../egs/aishell/transformer/utils/parse_options.sh || exit 1;
+. ../../egs/aishell/transformer/utils/parse_options.sh || exit 1;
cd /workspace/FunASR/funasr/runtime/websocket/build/bin
+if [ -z "$certfile" ] || [ "$certfile" -eq 0 ]; then
./funasr-wss-server \
--download-model-dir ${download_model_dir} \
--model-dir ${model_dir} \
--vad-dir ${vad_dir} \
--punc-dir ${punc_dir} \
+ --itn-dir ${itn_dir} \
+ --decoder-thread-num ${decoder_thread_num} \
+ --io-thread-num ${io_thread_num} \
+ --port ${port} \
+ --certfile "" \
+ --keyfile ""
+else
+./funasr-wss-server \
+ --download-model-dir ${download_model_dir} \
+ --model-dir ${model_dir} \
+ --vad-dir ${vad_dir} \
+ --punc-dir ${punc_dir} \
+ --itn-dir ${itn_dir} \
--decoder-thread-num ${decoder_thread_num} \
--io-thread-num ${io_thread_num} \
--port ${port} \
--certfile ${certfile} \
- --keyfile ${keyfile}
\ No newline at end of file
+ --keyfile ${keyfile}
+fi
--
Gitblit v1.9.1